Update existing beneficiary
curl --request PATCH \
--url https://api.hit-pay.com/v1/beneficiaries/{beneficiary_id} \
--header 'Content-Type: application/json' \
--header 'X-BUSINESS-API-KEY: <x-business-api-key>' \
--data '
{
"nickname": "<string>",
"remark": "<string>"
}
'import requests
url = "https://api.hit-pay.com/v1/beneficiaries/{beneficiary_id}"
payload = {
"nickname": "<string>",
"remark": "<string>"
}
headers = {
"X-BUSINESS-API-KEY": "<x-business-api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'X-BUSINESS-API-KEY': '<x-business-api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({nickname: '<string>', remark: '<string>'})
};
fetch('https://api.hit-pay.com/v1/beneficiaries/{beneficiary_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "9eb3d3ff-3fb0-450e-bb61-7c0753974398",
"status": "approved",
"country": "sg",
"currency": "sgd",
"transfer_method": "bank_transfer",
"transfer_type": "local",
"nickname": "Harry Satterfield",
"remark": "RemarkAnimi veniam recusandae nihil sapiente temporibus voluptas aliquam.",
"holder_name": "Test QA",
"holder_type": "individual",
"bank_branch_code": "001",
"account_number": "173737377",
"bank_name": "AMERICAN EXPRESS BANK LTD",
"bank_id": "AEIBSGSXXXX[7454]",
"email": "test@gmail.com",
"bank_swift_code": "AEIBSGSXXXX",
"is_favourite": false,
"created_by": {
"id": "98566f58-1c76-4b8b-8f75-d20bba2bc7f8",
"display_name": "TestingSG",
"first_name": "QA",
"last_name": "SG"
},
"created_at": "2025-04-18T12:52:10+08:00",
"updated_at": "2025-04-24T16:03:03+08:00",
"deleted_at": null
}{
"message": "The given data was invalid. The remark may not be greater than 255 characters.",
"errors": {
"remark": [
"The remark may not be greater than 255 characters."
]
}
}Beneficiary
Update Beneficiary
Update a beneficiary’s nickname, remark, or favourite status
PATCH
/
v1
/
beneficiaries
/
{beneficiary_id}
Update existing beneficiary
Headers
Example:
"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"
Path Parameters
The Beneficiary id
Example:
"9b294222-3a53-427f-9393-95dc6d63ee6c"
Body
application/json
Response
200
Show child attributes
Show child attributes
Last modified on February 25, 2026
Was this page helpful?
⌘I